<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
exclude-result-prefixes="xpil"
xmlns:xpil="http://www.together.at/2006/XPIL1.0"
xmlns:prop="java.util.Properties"
xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
<xsl:output method="html" />
<xsl:param name="auth_type" select="FORM" />
<xsl:param name="username" select="u" />
<xsl:param name="from_element" select="11" />
<xsl:param name="to_element" select="20" />
<xsl:param name="sortCriterion" select="20" />
<xsl:param name="sortAsc" select="true" />
<xsl:param name="total_number" select="200" />
<xsl:param name="fromPage" select="p" />
<xsl:param name="kind" select="k" />
<xsl:param name="sharkEdition" select="e" />
<xsl:param name="navig_url" select="AllProcessHandlerPO.po" />

<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="properties.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="menu.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="footer.xsl" />
<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="content-type" content="text/html; charset='UTF-8'"/>
<title>Process Actions</title>
<link href="styles/style.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>

<!--[if lte IE 6]>
<link href="styles/style_iel.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 7]>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 8]>
<link href="styles/style_ien.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<script type="text/javascript" src="js/jslib.js"></script>
<script type="text/javascript" src="js/dynstyles.js"></script>
<script type="text/javascript" src="js/combobox.js"></script>

<script type="text/javascript" xmlns:prop="java.util.Properties" xmlns:xml="http://www.w3.org/XML/1998/namespace" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0">

function submitForm(formId, actionAttr) {
  var formTag = document.getElementById(formId);
  formTag.action=actionAttr;
  formTag.submit();
}

function submitFormEvent(formId, actionAttr,event) {
  var formTag = document.getElementById(formId);
  formTag.action=actionAttr;
  formTag.event.value=event;
  formTag.submit();
}

function openNewDialogWindow(pageName,windowName,parameters) {
  window.open(pageName,windowName,parameters); 
}

function submitContentFormWithAction(formId,actionAttr,event, txt) {
  if(confirm(txt)) {
    alreadySubmited = true;
    if(window.event != null)
    window.event.returnValue = false;
    var formTag = document.getElementById(formId);
    formTag.action=actionAttr;
    formTag.event.value=event;
    formTag.submit();
  }
}
	
</script>
</head>
<body>
<form action="javascript: void 0" id="mainForm" method="post" name="mainForm">
<input name="event" type="hidden"/>
<input id="rememberArrowId" type="hidden"/>
<input id="rememberArrowStyle" type="hidden"/>
<div id="w0">
<xsl:variable name="cancelUrl">javascript:submitFormEvent('mainForm','AllProcessHandlerPO.po?from=<xsl:value-of select='$from_element' />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;page=<xsl:value-of select="$fromPage" />','cancel')</xsl:variable>

<!-- page -->
<div id="pw0"><div id="pw">

<!-- header -->
<div id="ph"><div id="phw">

<!-- header menu -->
	<xsl:call-template name="Menu">
		<xsl:with-param name="prop_repository" select="prop:getProperty('repository','true')" />
		<xsl:with-param name="prop_packagelist" select="prop:getProperty('packagelist','true')" />
		<xsl:with-param name="prop_processinst" select="prop:getProperty('processinst','true')" />
		<xsl:with-param name="prop_processmonitor" select="prop:getProperty('processmonitor','true')" />
		<xsl:with-param name="prop_usermanag" select="prop:getProperty('usermanag','true')" />
		<xsl:with-param name="prop_worklist" select="prop:getProperty('worklist','true')" />
		<xsl:with-param name="prop_processlist" select="prop:getProperty('processlist','true')" />
		<xsl:with-param name="prop_cache" select="prop:getProperty('cache','true')" />
		<xsl:with-param name="prop_application" select="prop:getProperty('application','true')" />
		<xsl:with-param name="prop_participant" select="prop:getProperty('participant','true')" />
		<xsl:with-param name="prop_groupmanag" select="prop:getProperty('groupmanag','true')" />
	</xsl:call-template>
<!-- header menu end -->	
                    
<!-- toolbar -->
<div id="cnthdr">
	<div id="cnthdrw0">
		<div id="cnthdrw">
			<div class="h01">
				<span class="text">Action Report</span><br/>
				<xsl:if test="$kind='delete'">
				   	<h1>DELETED PROCESS LIST</h1>
					<span class="tmdata">Count : <xsl:value-of select="xpil:InstanceExtendedAttribute/@Value[../@Name='count']"/></span>
				</xsl:if>
				<xsl:if test="$kind='terminate'">
					<h1>TERMINATED PROCESS LIST</h1>
					<span class="tmdata">Count : <xsl:value-of select="xpil:InstanceExtendedAttribute/@Value[../@Name='count']"/></span>
				</xsl:if>
				<xsl:if test="$kind='checkdl'">
			  		<h1>CHECK DEADLINE REPORT</h1>
			  		<span class="tmdata">Count : <xsl:value-of select="xpil:InstanceExtendedAttribute/@Value[../@Name='count']"/></span>
				</xsl:if>
				<xsl:if test="$kind='checklimit'">
			  		<h1>CHECK LIMIT REPORT</h1>
			  		<span class="tmdata">Count : <xsl:value-of select="xpil:InstanceExtendedAttribute/@Value[../@Name='count']"/></span>
				</xsl:if>
				<xsl:if test="$kind='revaluate'">
					<h1>RE-EVALUATE ASSIGNMENTS</h1>
			  		<span class="tmdata">Count : <xsl:value-of select="xpil:InstanceExtendedAttribute/@Value[../@Name='count']"/></span>
				</xsl:if>
			</div>
			<div class="cnttbw">
				<div class="toolbar">
					<div class="toolbarw0">
						<div class="toolbarw">
								<ul class="toollset toollsetsa">
									<li><a class="back" href="{$cancelUrl}" title="Back"><span></span></a></li>
								</ul>
						</div>
					</div>
				</div>
			</div>	
		</div>
	</div>
</div>
<!-- toolbar end -->
</div></div>
<!-- header end-->

<!-- frame -->
<div id="cntframew" style="margin-top:115px"><div id="cntframe"><div id="cnt01">
   
<table class="table01" id="prlistdata" cellspacing="0">
<thead id="table01head">
    <tr>
    	<th>Description</th>
	</tr>
</thead>

<tbody class="table01body">
	<xsl:if test="xpil:InstanceExtendedAttribute/@Value[../@Name='count']!=0">
		<xsl:for-each select="xpil:InstanceExtendedAttributes">
			<xsl:variable name="oddEven">
				<xsl:choose>
					<xsl:when test="(position() mod 2) = 0">odd</xsl:when>
					<xsl:otherwise>even</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<tr class="{$oddEven}">	
			 <td  class="usualtable" align="left">
			   <xsl:for-each select="xpil:InstanceExtendedAttribute[@Name!='count']">
					 <b> <xsl:value-of select="@Name" />:</b>
					     <xsl:value-of  select="@Value" />; 
				</xsl:for-each>
			</td>
			</tr>
		</xsl:for-each>
	</xsl:if>
</tbody>
</table>

</div></div></div>
<!-- frame end -->    

<!-- footer -->
	<xsl:call-template name="Footer"></xsl:call-template>
<!-- footer end -->

</div></div>
<!-- page end -->

</div>

<script type="text/javascript">
//<![CDATA[

dynStyleSet(['tbodyFrame', 'thHighlight', 'tatdHighlight']);

//]]>
</script>

</form>
</body>
</html>
</xsl:template>
</xsl:stylesheet>