<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="xpil" xmlns:prop="java.util.Properties" xmlns:xpil="http://www.together.at/2006/XPIL1.0" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
   <xsl:output method="html" />
	<xsl:param name="auth_type" select="FORM" />
   <xsl:param name="username" select="u" />
   <xsl:param name="from_element" select="11" />
   <xsl:param name="to_element" select="20" />
   <xsl:param name="sortCriterion" select="20" />
   <xsl:param name="sortAsc" select="true" />
   <xsl:param name="plg_name" select="200" />
   <xsl:param name="total_number" select="200" />
   <xsl:param name="sharkEdition" select="e" />
   <xsl:param name="navig_url"
      select="GroupUsersHandlerPO.po" />

<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="properties.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="menu.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="footer.xsl" />
<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="content-type" content="text/html; charset='UTF-8'"/>
<title>Group Users</title>
<link href="styles/style.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>

<!--[if lte IE 6]>
<link href="styles/style_iel.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 7]>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 8]>
<link href="styles/style_ien.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<script type="text/javascript" src="js/jslib.js"></script>
<script type="text/javascript" src="js/dynstyles.js"></script>
<script type="text/javascript" src="js/combobox.js"></script>

<script type="text/javascript" xmlns:prop="java.util.Properties" xmlns:xml="http://www.w3.org/XML/1998/namespace" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0">

function submitForm(formId, actionAttr) {
  var formTag = document.getElementById(formId);
  formTag.action=actionAttr;
  formTag.submit();
}

function submitFormEvent(formId, actionAttr,event) {
  var formTag = document.getElementById(formId);
  formTag.action=actionAttr;
  formTag.event.value=event;
  formTag.submit();
}

function openNewDialogWindow(pageName,windowName,parameters) {
  window.open(pageName,windowName,parameters); 
}

function submitContentFormWithAction(formId,actionAttr,event, txt) {
  if(confirm(txt)) {
    alreadySubmited = true;
    if(window.event != null)
    window.event.returnValue = false;
    var formTag = document.getElementById(formId);
    formTag.action=actionAttr;
    formTag.event.value=event;
    formTag.submit();
  }
}

										
// user list
var userlist= new Array();

function initializeComboboxes() {
	<xsl:for-each select="xpil:InstanceExtendedAttribute">
      <xsl:if test="@Name='username'">
       <xsl:variable name="opt">
          <xsl:value-of select="@Value"/>
       </xsl:variable>
          userlist.push('<xsl:value-of select="@Value"/>');
    </xsl:if>
    </xsl:for-each>
	//userlist.push('');
}
		
function showComboBox(combob) {
	document.getElementById(combob).style.display='block';
}

function selectUser(val1, val2) {
	if (document.getElementById('selected_user_txt').value=='Select user' || document.getElementById('selected_user_txt').value=='') {
		alert('Please select user from the list!');
	}else {
		submitFormEvent(val1, val2,'add');
	}
}
		
</script>
</head>
<body onload="initializeComboboxes(); initcombob(comboElms([['selected_user_txt','Select user',userlist]]));">
<form action="javascript: void 0" id="mainForm" method="post" name="mainForm">
<input name="event" type="hidden"/>
<input id="rememberArrowId" type="hidden"/>
<input id="rememberArrowStyle" type="hidden"/>
<div id="w0">

<!-- page -->
<div id="pw0"><div id="pw">

<!-- header -->
<div id="ph"><div id="phw">

<xsl:variable name="backUrl">javascript:submitFormEvent('mainForm','GroupUsersHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />','back')</xsl:variable>

<!-- header menu -->
	<xsl:call-template name="Menu">
		<xsl:with-param name="prop_repository" select="prop:getProperty('repository','true')" />
		<xsl:with-param name="prop_packagelist" select="prop:getProperty('packagelist','true')" />
		<xsl:with-param name="prop_processinst" select="prop:getProperty('processinst','true')" />
		<xsl:with-param name="prop_processmonitor" select="prop:getProperty('processmonitor','true')" />
		<xsl:with-param name="prop_usermanag" select="prop:getProperty('usermanag','true')" />
		<xsl:with-param name="prop_worklist" select="prop:getProperty('worklist','true')" />
		<xsl:with-param name="prop_processlist" select="prop:getProperty('processlist','true')" />
		<xsl:with-param name="prop_cache" select="prop:getProperty('cache','true')" />
		<xsl:with-param name="prop_application" select="prop:getProperty('application','true')" />
		<xsl:with-param name="prop_participant" select="prop:getProperty('participant','true')" />
		<xsl:with-param name="prop_groupmanag" select="prop:getProperty('groupmanag','true')" />
	</xsl:call-template>
<!-- header menu end -->	
                    
<!-- toolbar -->
<div id="cnthdr">
	<div id="cnthdrw0">
		<div id="cnthdrw">
			<div class="h01">
				<h1>Group Users List</h1>
				<span class="tmdata">
					<xsl:value-of select="$total_number"/> entries for group: <xsl:value-of select="/xpil:ExtendedWorkflowFacilityInstance/xpil:InstanceExtendedAttribute/@Value[../@Name='grupname']" /> 
				</span>
			</div>
			<div class="cnttbw">
				<div class="toolbar">
					<div class="toolbarw0">
						<div class="toolbarw">
							   <xsl:choose>
                               <xsl:when test="xpil:InstanceExtendedAttribute[@Name='username']">
								<xsl:if test="$sharkEdition!='community' and $plg_name!='LDAP'">
									<div id="userselform" class="toolfset" style="display:block;">
										<div class="comboinw">
											<input type="text" name="selected_user_txt" id="selected_user_txt" value="Select user" class="inputcomb01" onclick="comboInputEnable(this)" onKeyUp="combob(event, this);" onblur="comboCheck(this);" readonly="true"/>
											<a name="userselecta" class="combarrow" href="javascript: void 0" onclick="comboToggle(this);"></a>
											<div class="btnw01">
												<xsl:variable name="tUrl">javascript: selectUser('mainForm', 'GroupUsersHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>&#38;name=<xsl:value-of select="/xpil:ExtendedWorkflowFacilityInstance/xpil:InstanceExtendedAttribute/@Value[../@Name='grupname']" />')</xsl:variable>
												<a class="btns" href="{$tUrl}" title="Add User" onclick=""><span class="newuser"></span></a>
											</div>
										</div>
										<div class="selectelw" id="userselectw">
										  <select name="ch_user" id="ch_user" size="10" class="combosel01" autocomplete="off" onchange="comboListClick(this);" onkeyup="comboListSl(event, this);" style="width:100%">
	                                       <xsl:for-each select="xpil:InstanceExtendedAttribute">
	                                         <xsl:if test="@Name='username'">
	                                          <xsl:variable name="opt">
	                                             <xsl:value-of select="@Value"/>
	                                          </xsl:variable>
	                                          <option value="{$opt}">
	                                             <xsl:value-of select="@Value"/>
	                                          </option>
	                                       </xsl:if>
	                                       </xsl:for-each>
	                                      </select>
										</div>
									</div>
								</xsl:if>
								</xsl:when>
								</xsl:choose>

							<ul class="toollset toollsetsa">
								<li><a class="back" href="{$backUrl}" title="Back"><span></span></a></li>
							</ul>
						</div>
					</div>
				</div>
			</div>	
		</div>
	</div>
</div>
<!-- toolbar end -->
</div></div>
<!-- header end-->

<!-- frame -->
<div id="cntframew"><div id="cntframe"><div id="cnt01">
   
<table class="table01" id="prlistdata" cellspacing="0">
<thead id="table01head">
	<tr>
 	  <th>Username</th>
	  <th>First name</th>
      <th>Last name</th>
      <th>Email adress</th>
    </tr>
</thead>

<tbody class="table01body">
<xsl:variable name="Attr1" select="//."/>
<xsl:for-each select="$Attr1[name()='xpil:InstanceExtendedAttributes']">
	<xsl:variable name="oddEven">
		<xsl:choose>
			<xsl:when test="(position() mod 2) = 0">odd</xsl:when>
			<xsl:otherwise>even</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<tr class="{$oddEven}">			
		<td class="actcoltd">
			<div class="cntm">
				<div class="cntmw">
				    <ul class="cntmlist">
					  <xsl:variable name="deleteUrl">javascript:submitContentFormWithAction('mainForm','GroupUsersHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;username=<xsl:value-of select="/xpil:ExtendedWorkflowFacilityInstance/xpil:InstanceExtendedAttributes/xpil:InstanceExtendedAttribute[1]/@Value" />&#38;name=<xsl:value-of select="/xpil:ExtendedWorkflowFacilityInstance/xpil:InstanceExtendedAttribute/@Value[../@Name='grupname']" />','delete','Do you really want to delete user?')</xsl:variable>
				      <li><a class="delete" href="{$deleteUrl}"><span>Delete</span></a></li>
				    </ul>
				</div>
			</div>
			<a href="javascript: void(0)"><xsl:value-of select="xpil:InstanceExtendedAttribute[1]/@Value" /></a>
		</td>	
		<td>
			<xsl:choose>
				<xsl:when test="xpil:InstanceExtendedAttribute[2]/@Value=''">
					-
				 </xsl:when>
				<xsl:otherwise>
				<xsl:value-of select="xpil:InstanceExtendedAttribute[2]/@Value" />
				</xsl:otherwise>
			</xsl:choose>
		</td>
		<td>
			<xsl:choose>
				<xsl:when test="xpil:InstanceExtendedAttribute[3]/@Value=''">
					-
				 </xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="xpil:InstanceExtendedAttribute[3]/@Value" />
				</xsl:otherwise>
			</xsl:choose>
		</td>
		<td>
			<xsl:choose>
				<xsl:when test="xpil:InstanceExtendedAttribute[4]/@Value=''">
						-
				 </xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="xpil:InstanceExtendedAttribute[4]/@Value" />
				</xsl:otherwise>
			</xsl:choose>
		</td>
	</tr>
</xsl:for-each>
</tbody>
</table>

</div></div></div>
<!-- frame end -->    

<!-- footer -->
	<xsl:call-template name="Footer"></xsl:call-template>
<!-- footer end -->

</div></div>
<!-- page end -->

</div>

<script type="text/javascript">
//<![CDATA[

dynStyleSet(['tbodyFrame', 'thHighlight', 'tatdHighlight', 'comboElm']);

//]]>
</script>

</form>
</body>
</html>
</xsl:template>
</xsl:stylesheet>