<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
exclude-result-prefixes="xpil"
xmlns:xpil="http://www.together.at/2006/XPIL1.0"
xmlns:prop="java.util.Properties"
xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
<xsl:output method="html" />
<xsl:param name="auth_type" select="FORM" />
<xsl:param name="username" select="u" />
<xsl:param name="from_element" select="11" />
<xsl:param name="to_element" select="20" />
<xsl:param name="sortCriterion" select="20" />
<xsl:param name="sortAsc" select="true" />
<xsl:param name="total_number" select="200" />
<xsl:param name="selected_user" select="e" />
<xsl:param name="accessionMap" select="e" />
<xsl:param name="fromPage" select="p" />
<xsl:param name="sharkEdition" select="e" />
<xsl:param name="enableComments" select="e" />
<xsl:param name="navig_url" select="ProcessInstantiationHandlerPO.po" />

<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="properties.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="menu.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="footer.xsl" />
<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="content-type" content="text/html; charset='UTF-8'"/>
<title>Process Activities</title>
<link href="styles/style.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>

<!--[if lte IE 6]>
<link href="styles/style_iel.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 7]>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 8]>
<link href="styles/style_ien.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<script type="text/javascript" src="js/jslib.js"></script>
<script type="text/javascript" src="js/dynstyles.js"></script>
<script type="text/javascript" src="js/combobox.js"></script>

<script type="text/javascript" xmlns:prop="java.util.Properties" xmlns:xml="http://www.w3.org/XML/1998/namespace" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0">

function submitForm(formId, actionAttr) {
  var formTag = document.getElementById(formId);
  formTag.action=actionAttr;
  formTag.submit();
}

function submitFormEvent(formId, actionAttr,event) {
  var formTag = document.getElementById(formId);
  formTag.action=actionAttr;
  formTag.event.value=event;
  formTag.submit();
}

function openNewDialogWindow(pageName,windowName,parameters) {
  window.open(pageName,windowName,parameters); 
}

function submitContentFormWithAction(formId,actionAttr,event, txt) {
  if(confirm(txt)) {
    alreadySubmited = true;
    if(window.event != null)
    window.event.returnValue = false;
    var formTag = document.getElementById(formId);
    formTag.action=actionAttr;
    formTag.event.value=event;
    formTag.submit();
  }
}
	
</script>
</head>
<body>
<form action="javascript: void 0" id="mainForm" method="post" name="mainForm">
<input name="event" type="hidden"/>
<input id="rememberArrowId" type="hidden"/>
<input id="rememberArrowStyle" type="hidden"/>
<div id="w0">

<!-- page -->
<div id="pw0"><div id="pw">

<!-- header -->
<div id="ph"><div id="phw">

<!-- header menu -->
	<xsl:call-template name="Menu">
		<xsl:with-param name="prop_repository" select="prop:getProperty('repository','true')" />
		<xsl:with-param name="prop_packagelist" select="prop:getProperty('packagelist','true')" />
		<xsl:with-param name="prop_processinst" select="prop:getProperty('processinst','true')" />
		<xsl:with-param name="prop_processmonitor" select="prop:getProperty('processmonitor','true')" />
		<xsl:with-param name="prop_usermanag" select="prop:getProperty('usermanag','true')" />
		<xsl:with-param name="prop_worklist" select="prop:getProperty('worklist','true')" />
		<xsl:with-param name="prop_processlist" select="prop:getProperty('processlist','true')" />
		<xsl:with-param name="prop_cache" select="prop:getProperty('cache','true')" />
		<xsl:with-param name="prop_application" select="prop:getProperty('application','true')" />
		<xsl:with-param name="prop_participant" select="prop:getProperty('participant','true')" />
		<xsl:with-param name="prop_groupmanag" select="prop:getProperty('groupmanag','true')" />
	</xsl:call-template>
<!-- header menu end -->	
                    
<!-- toolbar -->
<div id="cnthdr">
	<div id="cnthdrw0">
		<div id="cnthdrw">
			<div class="h01">
				<h1>Process Activities</h1>
			</div>
			<xsl:variable name="cancelUrl">javascript:submitFormEvent('mainForm','ProcessActivitiesHandlerPO.po?from=<xsl:value-of select='$from_element' />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;fromPage=<xsl:value-of select="$fromPage" />','cancel')</xsl:variable>
			<div class="cnttbw">
				<div class="toolbar">
					<div class="toolbarw0">
						<div class="toolbarw">
								<ul class="toollset toollsetsa">
									<li><a class="back" href="{$cancelUrl}" title="Back"><span></span></a></li>
								</ul>
						</div>
					</div>
				</div>
			</div>	
		</div>
	</div>
</div>
<!-- toolbar end -->
</div></div>
<!-- header end-->

<!-- frame -->
<div id="cntframew"><div id="cntframe"><div id="cnt01">
   
<table class="table01" id="prlistdata" cellspacing="0">
<thead id="table01head">
    <tr>
    	<th>Id</th>
		<th>Name</th>
		<th>State</th>
		<th>Created</th>
		<th>Started</th>
		<th>Finished</th>
	</tr>
</thead>

<tbody class="table01body">
<xsl:variable name="Attr1" select="//."/>
<xsl:for-each select="$Attr1[name()='xpil:ManualActivityInstance' or name()='xpil:SubFlowActivityInstance' or name()='xpil:RouteActivityInstance'  or name()='xpil:ToolActivityInstance' or name()='xpil:BlockActivityInstance']">
	<xsl:variable name="oddEven">
		<xsl:choose>
			<xsl:when test="(position() mod 2) = 0">odd</xsl:when>
			<xsl:otherwise>even</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<tr class="{$oddEven}">			
		<td class="actcoltd">
			<div class="cntm">
				<div class="cntmw">
				    <ul class="cntmlist">
					<xsl:variable name="variablesUrl"> javascript:submitFormEvent('mainForm','ProcessActivitiesHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;act_id=<xsl:value-of select="@Id" />&#38;pro_id=<xsl:value-of select="../../@Id" />&#38;fromPage=ProcessActivitiesHandlerPO.po','variables')</xsl:variable>
					<xsl:variable name="suspendUrl">javascript:submitContentFormWithAction('mainForm','ProcessActivitiesHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;act_id=<xsl:value-of select="@Id" />&#38;pro_id=<xsl:value-of select="../../@Id" />&#38;fromPage=<xsl:value-of select="$fromPage" />','suspend','Do you really want to suspend activity?')</xsl:variable>
					<xsl:variable name="completeUrl">javascript:submitContentFormWithAction('mainForm','ProcessActivitiesHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;act_id=<xsl:value-of select="@Id" />&#38;pro_id=<xsl:value-of select="../../@Id" />&#38;fromPage=<xsl:value-of select="$fromPage" />','complete','Do you really want to complete activity?')</xsl:variable>
					<xsl:variable name="resumeUrl">javascript:submitFormEvent('mainForm','ProcessActivitiesHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;act_id=<xsl:value-of select="@Id" />&#38;pro_id=<xsl:value-of select="../../@Id" />&#38;fromPage=<xsl:value-of select="$fromPage" />','resume')</xsl:variable>
					<xsl:variable name="terminateUrl">javascript:submitContentFormWithAction('mainForm','ProcessActivitiesHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;act_id=<xsl:value-of select="@Id" />&#38;pro_id=<xsl:value-of select="../../@Id" />&#38;fromPage=<xsl:value-of select="$fromPage" />','terminate','Do you really want to terminate activity?')</xsl:variable>
					<xsl:variable name="abortUrl">javascript:submitContentFormWithAction('mainForm','ProcessActivitiesHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;act_id=<xsl:value-of select="@Id" />&#38;pro_id=<xsl:value-of select="../../@Id" />&#38;fromPage=<xsl:value-of select="$fromPage" />','abort','Do you really want to abort activity?')</xsl:variable>
					<xsl:variable name="stopUrl">javascript:submitContentFormWithAction('mainForm','ProcessActivitiesHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;act_id=<xsl:value-of select="@Id" />&#38;pro_id=<xsl:value-of select="../../@Id" />&#38;fromPage=<xsl:value-of select="$fromPage" />','stop','Do you really want to stop activity?')</xsl:variable>
					<xsl:variable name="startUrl">javascript:submitFormEvent('mainForm','ProcessActivitiesHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;act_id=<xsl:value-of select="@Id" />&#38;pro_id=<xsl:value-of select="../../@Id" />&#38;fromPage=<xsl:value-of select="$fromPage" />','start')</xsl:variable>
					<xsl:variable name="detailUrl">javascript:submitFormEvent('mainForm','ProcessActivitiesHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;act_id=<xsl:value-of select="@Id" />&#38;pro_id=<xsl:value-of select="../../@Id" />&#38;fromPage=<xsl:value-of select="$fromPage" />','details')</xsl:variable>
					<xsl:variable name="historyUrl">javascript:submitFormEvent('mainForm','ProcessActivitiesHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;act_id=<xsl:value-of select="@Id" />&#38;pro_id=<xsl:value-of select="../../@Id" />&#38;fromPage=ProcessActivitiesHandlerPO.po','history')</xsl:variable>
	            	<xsl:variable name="allCommentsUrl">javascript:openNewDialogWindow('AllCommentsHandlerPO.po?pro_id=<xsl:value-of select="../../@Id"/>&#38;act_id=<xsl:value-of select="@Id"/>','dialog','resizable=no,scrollbars=yes')</xsl:variable>
				   	<xsl:variable name="processState">
				   	<xsl:value-of select="../../@State" /></xsl:variable>
		        	
		        	<li><a class="procDet" href="{$detailUrl}"><span>Activity Details</span></a></li>
					<xsl:if test="@State='open.running'  and $sharkEdition!='community'">
						<li><a class="procSusp" href="{$suspendUrl}"><span>Activity Suspend</span></a></li>
					</xsl:if>
					<xsl:if test="@State='open.not_running.not_started' and $sharkEdition!='community'">
						<li><a class="procStart" href="{$startUrl}"><span>Activity Start</span></a></li>
					</xsl:if>
					<xsl:if test="@State='open.running'">
						<li><a class="completeactivity" href="{$completeUrl}"><span>Activity Complete</span></a></li>
						<xsl:if test="$sharkEdition!='community'">
							<li><a class="activityStop" href="{$stopUrl}"><span>Activity Stop</span></a></li>
						</xsl:if>
					</xsl:if>
					<xsl:if test="@State='open.not_running.suspended' and $processState!='open.not_running.suspended'  and $sharkEdition!='community'">
						<li><a class="procRes" href="{$resumeUrl}"><span>Activity Resume</span></a></li>
					</xsl:if>
					<xsl:if test="@State!='closed.completed' and @State!='closed.terminated' and @State!='closed.aborted'  and $sharkEdition!='community'">
						<li><a class="procTerm" href="{$terminateUrl}"><span>Activity Terminate</span></a></li>
					</xsl:if>
					<xsl:if test="@State!='closed.completed' and @State!='closed.terminated' and @State!='closed.aborted'  and $sharkEdition!='community'">
						<li><a class="activityAbort" href="{$abortUrl}"><span>Activity Abort</span></a></li>
					</xsl:if>
					<li><a class="procVar" href="{$variablesUrl}"><span>Activity Variables</span></a></li>
					<xsl:if test="$sharkEdition!='community'">
						<li><a class="procHis" href="{$historyUrl}"><span>Activity History</span></a></li>
						<xsl:if test="$enableComments='true'">
							<li><a class="procComm" href="{$allCommentsUrl}"><span>Comments</span></a></li>
               			</xsl:if>
					</xsl:if>						
				    </ul>
				</div>
			</div>
			<a href="javascript: void(0)"><xsl:value-of select="@Id" /></a>
		</td>	
		<td>
			<xsl:value-of select="@Name" />
		</td>
		<td>
			<xsl:value-of select="@State" />
		</td>
		<td>
			<xsl:value-of select="concat(substring(@Created,0,11),' ',substring(@Created,12,5))" />
		</td>
		<xsl:choose>
			<xsl:when test="@Started=''">
				<td> 
					- 
				</td>
			</xsl:when>
			<xsl:otherwise>
				<td>
					<xsl:value-of select="concat(substring(@Started,0,11),' ',substring(@Started,12,5))" />
				</td>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
			<xsl:when test="substring(@State,0,5)='open'">
				<td>
					-
				</td>
			</xsl:when>
			<xsl:otherwise>
				<td>
					<xsl:value-of select="concat(substring(@Finished,0,11),' ',substring(@Finished,12,5))" />
				</td>
			</xsl:otherwise>
		</xsl:choose>
	</tr>
</xsl:for-each>
</tbody>
</table>

</div></div></div>
<!-- frame end -->    

<!-- footer -->
	<xsl:call-template name="Footer"></xsl:call-template>
<!-- footer end -->

</div></div>
<!-- page end -->

</div>

<script type="text/javascript">
//<![CDATA[

dynStyleSet(['tbodyFrame', 'thHighlight', 'tatdHighlight']);

//]]>
</script>

</form>
</body>
</html>
</xsl:template>
</xsl:stylesheet>