<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="xpil" xmlns:prop="java.util.Properties" xmlns:xpil="http://www.together.at/2006/XPIL1.0" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
<xsl:output method="html" />
<xsl:param name="auth_type" select="FORM" />
<xsl:param name="username" select="u" />
<xsl:param name="from_element" select="11" />
<xsl:param name="to_element" select="20" />
<xsl:param name="sortCriterion" select="20" />
<xsl:param name="sortAsc" select="true" />
<xsl:param name="total_number" select="200" />
<xsl:param name="sharkEdition" select="e" />
<xsl:param name="enableComments" select="e" />
<xsl:param name="selected_user" select="e" />
<xsl:param name="accessionMap" select="e" />
<xsl:param name="navig_url" select="ProcessHandlerPO.po" />

<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="navigation.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="properties.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="menu.xsl" />
<xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="footer.xsl" />
<xsl:template match="xpil:ExtendedWorkflowFacilityInstance">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="content-type" content="text/html; charset='UTF-8'"/>
<title>Process Instances</title>
<link href="styles/style.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>

<!--[if lte IE 6]>
<link href="styles/style_iel.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 7]>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 8]>
<link href="styles/style_ien.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<script type="text/javascript" src="js/jslib.js"></script>
<script type="text/javascript" src="js/dynstyles.js"></script>
<script type="text/javascript" src="js/combobox.js"></script>

<script type="text/javascript" xmlns:prop="java.util.Properties" xmlns:xml="http://www.w3.org/XML/1998/namespace" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0">

function submitForm(formId, actionAttr) {
  var formTag = document.getElementById(formId);
  formTag.action=actionAttr;
  formTag.submit();
}

function submitFormEvent(formId, actionAttr,event) {
  var formTag = document.getElementById(formId);
  formTag.action=actionAttr;
  formTag.event.value=event;
  formTag.submit();
}

function openNewDialogWindow(pageName,windowName,parameters) {
  window.open(pageName,windowName,parameters); 
}

function submitContentFormWithAction(formId,actionAttr,event, txt) {
  if(confirm(txt)) {
    alreadySubmited = true;
    if(window.event != null)
    window.event.returnValue = false;
    var formTag = document.getElementById(formId);
    formTag.action=actionAttr;
    formTag.event.value=event;
    formTag.submit();
  }
}

function showComboForAction() {
	if (getURLParam('action')=='create') {
		document.getElementById('prselform').style.display='block';
		document.getElementById('selected_pr').value='Create new process instance';
	}else if (getURLParam('action')=='switch') {
		document.getElementById('userselform').style.display='block';
		document.getElementById('selected_user_txt').value='<xsl:value-of select="$selected_user"/>';
	}
}
										
// user list
var userlist= new Array();

// process list
var prlist = new Array();

function initializeComboboxes() {
	<xsl:for-each select="xpil:User">
		<xsl:variable name="opt">
			<xsl:value-of select="@Id"/>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$opt=$selected_user">
				userlist.push('<xsl:value-of select="@Id"/>');
			</xsl:when>
			<xsl:otherwise>
				userlist.push('<xsl:value-of select="@Id"/>');
			</xsl:otherwise>
		</xsl:choose>
	</xsl:for-each>
	<xsl:choose>
    	<xsl:when test="'*'=$selected_user">
			userlist.push('*');
        </xsl:when>
		<xsl:otherwise>
        	userlist.push('*');
    	</xsl:otherwise>
    </xsl:choose>
    
    <xsl:for-each select="xpil:WorkflowProcessFactoryInstance">
        <xsl:variable name="opt">
           <xsl:value-of select="@Id"/>
        </xsl:variable>
           prlist.push('<xsl:value-of select="xpdl:WorkflowProcess/@Name"/>');
     </xsl:for-each>
    
 }
		
function showComboBox(combob) {
	document.getElementById(combob).style.display='block';
}

function createProcess() {
	if (document.getElementById('selected_pr').value=='Create new process instance') {
		alert('Please select process from the list!');
	}else {
		submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>','create');
	}
}

function switchUser() {
	if (document.getElementById('selected_user_txt').value=='Switch user') {
		alert('Please select user from the list!');
	}else {
		submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select='$from_element'/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>','switch');
	}
}
		
</script>
</head>
<body onload="initializeComboboxes(); initcombob(comboElms([['selected_user_txt','Switch user',userlist], ['selected_pr','Create new process instance',prlist]]));">
<form action="javascript: void 0" id="mainForm" method="post" name="mainForm">
<input name="event" type="hidden"/>
<input id="rememberArrowId" type="hidden"/>
<input id="rememberArrowStyle" type="hidden"/>
<div id="w0">

<!-- page -->
<div id="pw0"><div id="pw">

<!-- header -->
<div id="ph"><div id="phw">

<xsl:variable name="rUrl">javascript:submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','refresh')</xsl:variable>

<!-- header menu -->
	<xsl:call-template name="Menu">
		<xsl:with-param name="prop_repository" select="prop:getProperty('repository','true')" />
		<xsl:with-param name="prop_packagelist" select="prop:getProperty('packagelist','true')" />
		<xsl:with-param name="prop_processinst" select="prop:getProperty('processinst','true')" />
		<xsl:with-param name="prop_processmonitor" select="prop:getProperty('processmonitor','true')" />
		<xsl:with-param name="prop_usermanag" select="prop:getProperty('usermanag','true')" />
		<xsl:with-param name="prop_worklist" select="prop:getProperty('worklist','true')" />
		<xsl:with-param name="prop_processlist" select="prop:getProperty('processlist','false')" />
		<xsl:with-param name="prop_cache" select="prop:getProperty('cache','true')" />
		<xsl:with-param name="prop_application" select="prop:getProperty('application','true')" />
		<xsl:with-param name="prop_participant" select="prop:getProperty('participant','true')" />
		<xsl:with-param name="prop_groupmanag" select="prop:getProperty('groupmanag','true')" />
	</xsl:call-template>
<!-- header menu end -->	
                    
<!-- toolbar -->
<div id="cnthdr">
	<div id="cnthdrw0">
		<div id="cnthdrw">
			<div class="h01">
				<h1>Process List</h1>
				<span class="tmdata">
					<xsl:value-of select="$total_number"/> entries 
					<xsl:if test="$username!=$selected_user and $selected_user!='*'"> for user : <xsl:value-of select="$selected_user"/></xsl:if>
					<xsl:if test="$username!=$selected_user and $selected_user='*'"> for all users </xsl:if>
				</span>
			</div>
			<div align="left">
				<span align="left">
					<xsl:call-template name="Navigation"/>
				</span>
			</div>
			<div class="cnttbw">
				<div class="toolbar">
					<div class="toolbarw0">
						<div class="toolbarw">
							<div class="shwhdset">
								<div id="userselshwhd" class="shwhd"><span class="shwhdcuser"><a href="javascript: void 0" onclick="javascript: shwhdTbarElm('userselform', 'prselform', 'userselshwhd', 'prselshwhd', 'Switch user', 'Create new process instance')" title="Show: Switch user"></a></span></div>
								<div id="userselform" class="toolfset">
									<div class="comboinw">
										<input type="text" name="selected_user_txt" id="selected_user_txt" value="Switch user" class="inputcomb01" onclick="comboInputEnable(this)" onKeyUp="combob(event, this);" onblur="comboCheck(this);" readonly="true"/>
										<a name="userselecta" class="combarrow" href="javascript: void 0" onclick="comboToggle(this);"></a>
										<div class="btnw01">
											<xsl:variable name="swUrl">javascript: switchUser()</xsl:variable>
											<a class="btns" href="{$swUrl}" title="Switch user" onclick=""><span class="swuser"></span></a>
										</div>
									</div>
									<div class="selectelw" id="userselectw">
										<select name="selected_user" id="selected_user" size="10" class="combosel01" autocomplete="off" onchange="comboListClick(this);" onkeyup="comboListSl(event, this);" style="width:100%">
           								</select>
									</div>
								</div>

								<div id="prselshwhd" class="shwhd"><span class="shwhdcpr"><a href="javascript: void 0" onclick="javascript: shwhdTbarElm('prselform', 'userselform', 'prselshwhd', 'userselshwhd', 'Create new process instance', 'Switch user')" title="Show: Create new process instance"></a></span></div>
								<div id="prselform" class="toolfset">
									<div class="comboinw">
										<input type="text" name="selected_pr" id="selected_pr" value="Create new process instance" class="inputcomb01" onclick="comboInputEnable(this)" onKeyUp="combob(event, this);" onblur="comboCheck(this);" readonly="true"/>
										<a name="prselecta" class="combarrow" href="javascript: void 0" onclick="showComboBox('process_manager');"></a>
										<div class="btnw01">
											<xsl:variable name="tUrl">javascript: createProcess()</xsl:variable>
											<a class="btns" href="{$tUrl}" title="Create New Process Instance" onclick=""><span class="prcreate"></span></a>
										</div>
									</div>
									<div class="selectelw" id="prselectw">
										<select name="process_manager" id="process_manager" size="10" class="combosel01" autocomplete="off" onchange="comboListClick(this);" onkeyup="comboListSl(event, this);" style="width:100%">
	                                       	<xsl:for-each select="xpil:WorkflowProcessFactoryInstance">
	                                          <xsl:variable name="opt">
	                                             <xsl:value-of select="@Id"/>
	                                          </xsl:variable>
	                                          <option value="{$opt}">
	                                             <xsl:value-of select="xpdl:WorkflowProcess/@Name"/>
	                                          </option>
                                       		</xsl:for-each>
										</select>
									</div>
								</div>
							</div>

							<ul class="toollset toollsetsa">
								<li><a class="refresh" href="{$rUrl}" title="Refresh"><span></span></a></li>
							</ul>
						</div>
					</div>
				</div>
			</div>	
		</div>
	</div>
</div>
<!-- toolbar end -->
</div></div>
<!-- header end-->
<script>showComboForAction()</script>
<!-- frame -->
<div id="cntframew"><div id="cntframe"><div id="cnt01">
   
<table class="table01" id="prlistdata" cellspacing="0">
<thead id="table01head">
    <tr>
    	<xsl:choose>
	      	<xsl:when test="$sortCriterion='name'">
	      		<xsl:choose>
	      			<xsl:when test="$sortAsc='true'">
		      			<th class="sortasc">
		      				<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=name&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','sort')</xsl:variable>
			      			<a href="{$url}">Name</a>
			      		</th>	
			      	</xsl:when>
			      	<xsl:otherwise>
		      			<th class="sortdesc">
		      				<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=name&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','sort')</xsl:variable>
			      			<a href="{$url}">Name</a>
			      		</th>	
			      	</xsl:otherwise>
			    </xsl:choose>	
			</xsl:when>
			<xsl:otherwise>
				<th class="sortable">
		      		<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=name&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','sort')</xsl:variable>
			    	<a href="{$url}">Name</a>
			    </th>	
			</xsl:otherwise>
		</xsl:choose>

     	<xsl:choose>
	      	<xsl:when test="$sortCriterion='requester'">
	      		<xsl:choose>
	      			<xsl:when test="$sortAsc='true'">
		      			<th class="sortasc">
		      				<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=requester&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','sort')</xsl:variable>
			      			<a href="{$url}">Requester</a>
			      		</th>	
			      	</xsl:when>
			      	<xsl:otherwise>
		      			<th class="sortdesc">
		      				<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=requester&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','sort')</xsl:variable>
			      			<a href="{$url}">Requester</a>
			      		</th>	
			      	</xsl:otherwise>
			    </xsl:choose>	
		    </xsl:when>
		    <xsl:otherwise>
      			<th class="sortable">
	   				<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=requester&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','sort')</xsl:variable>
	      			<a href="{$url}">Requester</a>
	      		</th>	
		    </xsl:otherwise>
		</xsl:choose>
      
     	<xsl:choose>
	      	<xsl:when test="$sortCriterion='priority'">
	      		<xsl:choose>
	      			<xsl:when test="$sortAsc='true'">
		      			<th class="sortasc">
		      				<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=priority&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','sort')</xsl:variable>
			      			<a href="{$url}">Priority</a>
			      		</th>	
			      	</xsl:when>
			      	<xsl:otherwise>
		      			<th class="sortdesc">
		      				<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=priority&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','sort')</xsl:variable>
			      			<a href="{$url}">Priority</a>
			      		</th>	
			      	</xsl:otherwise>
			    </xsl:choose>	
			</xsl:when>
			<xsl:otherwise>
	   			<th class="sortable">
					<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=priority&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','sort')</xsl:variable>
					<a href="{$url}">Priority</a>
				</th>	
			</xsl:otherwise>    
		</xsl:choose>     
     
     	<xsl:choose>
	      	<xsl:when test="$sortCriterion='createdTime'">
	      		<xsl:choose>
	      			<xsl:when test="$sortAsc='true'">
		      			<th class="sortasc">
		      				<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=createdTime&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','sort')</xsl:variable>
			      			<a href="{$url}">Created</a>
			      		</th>	
			      	</xsl:when>
			      	<xsl:otherwise>
		      			<th class="sortdesc">
		      				<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=createdTime&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','sort')</xsl:variable>
			      			<a href="{$url}">Created</a>
			      		</th>	
			      	</xsl:otherwise>
			    </xsl:choose>	
			</xsl:when> 
			<xsl:otherwise>
	  			<th class="sortable">
	  				<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=createdTime&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','sort')</xsl:variable>
	     			<a href="{$url}">Created</a>
	      		</th>	
			</xsl:otherwise>   
		</xsl:choose> 
	  <th>
      Finished
      </th>
    	<xsl:choose>
	      	<xsl:when test="$sortCriterion='state'">
	      		<xsl:choose>
	      			<xsl:when test="$sortAsc='true'">
		      			<th class="sortasc">
		      				<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=state&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','sort')</xsl:variable>
			      			<a href="{$url}">State</a>
			      		</th>	
			      	</xsl:when>
			      	<xsl:otherwise>
		      			<th class="sortdesc">
		      				<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=state&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','sort')</xsl:variable>
			      			<a href="{$url}">State</a>
			      		</th>	
			      	</xsl:otherwise>
			    </xsl:choose>	
			</xsl:when>
			<xsl:otherwise>
				<th class="sortable">
					<xsl:variable name="url">javascript:submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=state&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','sort')</xsl:variable>
		   			<a href="{$url}">State</a>
	      		</th>	
			</xsl:otherwise>
		</xsl:choose>    
    </tr>
</thead>

<tbody class="table01body">
<xsl:variable name="Attr1" select="//."/>
<xsl:for-each select="$Attr1[name()='xpil:MainWorkflowProcessInstance' or name()='xpil:SubWorkflowProcessInstance']">
	<xsl:variable name="oddEven">
		<xsl:choose>
			<xsl:when test="(position() mod 2) = 0">odd</xsl:when>
			<xsl:otherwise>even</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<tr class="{$oddEven}">			
		<td class="actcoltd">
			<div class="cntm">
				<div class="cntmw">
				    <ul class="cntmlist">
				      <xsl:variable name="detailUrl">javascript:submitFormEvent('mainForm','ProcessHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;pro_id=<xsl:value-of select="@Id" />&#38;fromPage=ProcessHandlerPO.po&#38;selected_user=<xsl:value-of select="$selected_user"/>&#38;readonly=true','details')</xsl:variable>
				      <xsl:variable name="procGraphUrl">javascript:openNewDialogWindow('prof/ShowProcessGraphPO.po?pro_id=<xsl:value-of select="@Id" />','dialog2','width=800,height=600,resizable=yes,scrollbars=yes,left=300,top=200')</xsl:variable>
				      <xsl:variable name="allCommentsUrl">javascript:openNewDialogWindow('AllCommentsHandlerPO.po?pro_id=<xsl:value-of select="@Id"/>','dialog','resizable=no,scrollbars=yes')</xsl:variable>				    
				      <li><a class="prdetail" href="{$detailUrl}"><span>Process Details</span></a></li>
				      <li><a class="info" href="{$allCommentsUrl}"><span>Comments</span></a></li>
				      <li><a class="prgraph" href="{$procGraphUrl}"><span>Process Execution Graph</span></a></li>
				    </ul>
				</div>
			</div>
			<a href="javascript: void(0)"><xsl:value-of select="@Name" /></a>
		</td>	
		<td>
			<xsl:value-of select="@RequesterUsername" />
		</td>
		<td>
			<xsl:value-of select="xpil:InstancePriority" />
		</td>
		<td>
			<xsl:value-of select="concat(substring(@Created,0,11),' ',substring(@Created,12,5))" />
		</td>
			<xsl:choose>
				<xsl:when test="starts-with(@State, 'open')">
					<td>-</td>
				</xsl:when>
				<xsl:otherwise>
					<td><xsl:value-of select="concat(substring(@Finished,0,11),' ',substring(@Finished,12,5))" /></td>
				</xsl:otherwise>
			</xsl:choose>
		<td>
			<xsl:value-of select="@State" />
		</td>
	</tr>
</xsl:for-each>
</tbody>
</table>

</div></div></div>
<!-- frame end -->    

<!-- footer -->
	<xsl:call-template name="Footer"></xsl:call-template>
<!-- footer end -->

</div></div>
<!-- page end -->

</div>

<script type="text/javascript">
//<![CDATA[

dynStyleSet(['tbodyFrame', 'thHighlight', 'tatdHighlight', 'comboElm']);

//]]>
</script>

</form>
</body>
</html>
</xsl:template>
</xsl:stylesheet>