<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   exclude-result-prefixes="xpil"
   xmlns:xpil="http://www.together.at/2006/XPIL1.0"
   xmlns:prop="java.util.Properties"
   xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
   <xsl:output method="html" />
	<xsl:param name="auth_type" select="FORM" />
   <xsl:param name="username" select="u" />
   <xsl:param name="from_element" select="11" />
   <xsl:param name="to_element" select="20" />
   <xsl:param name="sortCriterion" select="20" />
   <xsl:param name="sortAsc" select="true" />
   <xsl:param name="total_number" select="200" />
   <xsl:param name="plg_name" select="200" />
   <xsl:param name="selected_user" select="e" />
   <xsl:param name="accessionMap" select="e" />
   <xsl:param name="sharkEdition" select="e" />
   <xsl:param name="navig_url"
      select="UserHandlerPO.po" />
 	      
   <xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
      href="navigation.xsl" />
      <xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		href="properties.xsl"/>
   <xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="menu.xsl" />
   <xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="footer.xsl" />
   <!-- xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="usersactions.xsl" /-->		
   
   <xsl:template match="xpil:ExtendedWorkflowFacilityInstance">
	<html xmlns="http://www.w3.org/1999/xhtml">
	
	<head>
	<meta http-equiv="content-type" content="text/html; charset='UTF-8'"/>
	<title>User Management</title>
	<link href="styles/style.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
	<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
	
	<!--[if lte IE 6]>
	<link href="styles/style_iel.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
	<![endif]-->
	<!--[if gte IE 7]>
	<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
	<![endif]-->
	<!--[if gte IE 8]>
	<link href="styles/style_ien.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
	<![endif]-->
	<script type="text/javascript" src="js/jslib.js"></script>
	<script type="text/javascript" src="js/dynstyles.js"></script>
	<script type="text/javascript" src="js/popupwin.js"></script>
	
	<script type="text/javascript" xmlns:prop="java.util.Properties" xmlns:xml="http://www.w3.org/XML/1998/namespace" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0">
	
	function submitForm(formId, actionAttr) {
	  var formTag = document.getElementById(formId);
	  formTag.action=actionAttr;
	  formTag.submit();
	}
	
	function submitFormEvent(formId, actionAttr,event) {
	  var formTag = document.getElementById(formId);
	  formTag.action=actionAttr;
	  formTag.event.value=event;
	  formTag.submit();
	}
	
	function openNewDialogWindow(pageName,windowName,parameters) {
	  window.open(pageName,windowName,parameters); 
	}
	
	function submitContentFormWithAction(formId,actionAttr,event, txt) {
	  if(confirm(txt)) {
	    alreadySubmited = true;
	    if(window.event != null)
	    window.event.returnValue = false;
	    var formTag = document.getElementById(formId);
	    formTag.action=actionAttr;
	    formTag.event.value=event;
	    formTag.submit();
	  }
	}
	
	function checkPwd(theForm) {
		alert(theForm);
		/*if (document.form[0].pass1.value != document.form[0].pass2.value)
		{
			alert("The two passwords are not the same.");
			document.form[0].pass1.focus();
			return (false);
		}*/
		return (true);
	}
	
	
	</script>
	
	</head>
	
	<body>
	
	<!-- popup window -->
	<div id="popupbgi"></div>
	<div id="popup">
		<!-- xsl:call-template name="Podmeni"></xsl:call-template-->
	</div>
	<!-- popup window end -->
	
	<form action="javascript: void 0" id="mainForm" method="post" name="mainForm">
	<input name="event" type="hidden"/>

	<div id="w0">
	
	<!-- page -->
	<div id="pw0"><div id="pw">
	
	<!-- header -->
	<div id="ph"><div id="phw">
	
	<!-- header menu -->
	<xsl:call-template name="Menu">
		<xsl:with-param name="prop_repository" select="prop:getProperty('repository','true')" />
		<xsl:with-param name="prop_packagelist" select="prop:getProperty('packagelist','true')" />
		<xsl:with-param name="prop_processinst" select="prop:getProperty('processinst','true')" />
		<xsl:with-param name="prop_processmonitor" select="prop:getProperty('processmonitor','true')" />
		<xsl:with-param name="prop_usermanag" select="prop:getProperty('usermanag','false')" />
		<xsl:with-param name="prop_worklist" select="prop:getProperty('worklist','true')" />
		<xsl:with-param name="prop_processlist" select="prop:getProperty('processlist','true')" />
		<xsl:with-param name="prop_cache" select="prop:getProperty('cache','true')" />
		<xsl:with-param name="prop_application" select="prop:getProperty('application','true')" />
		<xsl:with-param name="prop_participant" select="prop:getProperty('participant','true')" />
		<xsl:with-param name="prop_groupmanag" select="prop:getProperty('groupmanag','true')" />
	</xsl:call-template>
	<!-- header menu end -->
	
	<!-- toolbar -->
	   <xsl:variable name="rUrl">javascript:submitFormEvent('mainForm','UserHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />','refresh')</xsl:variable>
	   <div id="cnthdr"><div id="cnthdrw0"><div id="cnthdrw">  
	    <div class="h01"><h1>Users List</h1><span class="tmdata"><xsl:value-of select="$total_number"/> entries</span></div>
	    <div><xsl:call-template name="Navigation"/></div>
	    <div class="cnttbw">
	      <div class="toolbar"><div class="toolbarw0"><div class="toolbarw">
	        <ul class="toollset toollset">
	          <li><a class="newuser" onclick="javascript: popupWinOpen('newUser', '/UserHandlerPO.po?from={$from_element}&#38;sortCriterion={$sortCriterion}&#38;sortAsc={$sortAsc}&#38;fromPage=new&#38;event=create');" title="Create New User"><span></span></a></li>
	        </ul>
	        <ul class="toollset toollsetsa">
	          <li><a class="refresh" href="{$rUrl}" title="Refresh"><span></span></a></li>
	        </ul>
	      </div></div></div>
	    </div>
	  </div></div></div>  
	<!-- toolbar end -->
	
	</div></div>
	<!-- header end-->
	
	<!-- frame -->
	  <div id="cntframew"><div id="cntframe"><div id="cnt01">
	   
	<table class="table01" id="prlistdata" cellspacing="0">
	<thead id="table01head">
	    <tr>
		    <xsl:choose>
		      	<xsl:when test="$sortCriterion='name'">
		      		<xsl:choose>
		      			<xsl:when test="$sortAsc='true'">
			      			<th class="sortasc">
                             	<xsl:variable name="url">javascript:submitFormEvent('mainForm','UserHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=name&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
				      			<a href="{$url}">Username</a>
				      		</th>	
				      	</xsl:when>
				      	<xsl:otherwise>
			      			<th class="sortdesc">
								<xsl:variable name="url">javascript:submitFormEvent('mainForm','UserHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=name&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
								<a href="{$url}">Username</a>
				      		</th>	
				      	</xsl:otherwise>
				    </xsl:choose>	
				</xsl:when>
				<xsl:otherwise>
					<th class="sortable">
						<xsl:variable name="url">javascript:submitFormEvent('mainForm','UserHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=name&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')" />','sort')</xsl:variable>
						<a href="{$url}">Username</a>
				    </th>	
				</xsl:otherwise>
			</xsl:choose>
	      <th> 
	      First name
	      </th>
	      <th>
	      Last name
	      </th>
	      <th>
	      Email address
	      </th>
	    </tr>
	</thead>
	<tbody class="table01body">
	<xsl:variable name="Attr" select="//."></xsl:variable>
	<xsl:for-each select="$Attr[name()='xpil:InstanceExtendedAttributes']">
		<xsl:variable name="oddEven">
			<xsl:choose>
				<xsl:when test="(position() mod 2) = 0">odd</xsl:when>
				<xsl:otherwise>even</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
	    <tr class="{$oddEven}" bgcolor="white">
	    	<xsl:variable name="deleteUrl">javascript:submitContentFormWithAction('mainForm','UserHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;name=<xsl:value-of select="xpil:InstanceExtendedAttribute[1]/@Value" />','delete','Do you really want to delete user?')</xsl:variable>
			<xsl:variable name="updateUrl">javascript:submitFormEvent('mainForm','UserHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;name=<xsl:value-of select="xpil:InstanceExtendedAttribute[1]/@Value" />&#38;fromPage=upd','update')</xsl:variable>
			<xsl:variable name="passUrl">javascript:submitFormEvent('mainForm','UserHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;name=<xsl:value-of select="xpil:InstanceExtendedAttribute[1]/@Value" />&#38;fromPage=pass','password')</xsl:variable>
			<xsl:variable name="groupUrl">javascript:submitFormEvent('mainForm','UserHandlerPO.po?from=<xsl:value-of select="$from_element" />&#38;sortCriterion=<xsl:value-of select="$sortCriterion" />&#38;sortAsc=<xsl:value-of select="$sortAsc" />&#38;name=<xsl:value-of select="xpil:InstanceExtendedAttribute[1]/@Value" />','group')</xsl:variable>
			<xsl:variable name="variab" select="xpil:InstanceExtendedAttribute[1]/@Value"></xsl:variable>
	    	<td class="actcoltd">
			  <div class="cntm">
			    <div class="cntmw">
			    <ul class="cntmlist">
			      <li><a class="edit" href="javascript: popupWinOpen('editUser', '/UserHandlerPO.po?from={$from_element}&#38;sortCriterion={$sortCriterion}&#38;sortAsc={$sortAsc}&#38;name={$variab}&#38;fromPage=upd&#38;event=update');"><span>Edit User</span></a></li>
			      <li><a class="password" href="javascript: popupWinOpen('changePass', '/UserHandlerPO.po?from={$from_element}&#38;sortCriterion={$sortCriterion}&#38;sortAsc={$sortAsc}&#38;name={$variab}&#38;fromPage=pass&#38;event=password');"><span>Change Password</span></a></li>
			      <li><a class="usergroups" href="{$groupUrl}"><span>User Groups</span></a></li>
			      <li><a class="delete" href="{$deleteUrl}"><span>Delete</span></a></li>
			    </ul>
			    </div>
			  </div>
			  <a href="javascript: void(0)"><xsl:value-of select="xpil:InstanceExtendedAttribute[1]/@Value" /></a>
			</td>
			<td>
				<xsl:choose>
					<xsl:when test="xpil:InstanceExtendedAttribute[2]/@Value=''"> - </xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="xpil:InstanceExtendedAttribute[2]/@Value" />
					</xsl:otherwise>
				</xsl:choose>
			</td>
			<td>
				<xsl:choose>
					<xsl:when test="xpil:InstanceExtendedAttribute[3]/@Value=''"> - </xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="xpil:InstanceExtendedAttribute[3]/@Value" />
					</xsl:otherwise>
				</xsl:choose>
			</td>
			<td>
				<xsl:choose>
					<xsl:when test="xpil:InstanceExtendedAttribute[4]/@Value=''"> - </xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="xpil:InstanceExtendedAttribute[4]/@Value" />
					</xsl:otherwise>
				</xsl:choose>
			</td>
	   </tr>
       </xsl:for-each>
	</tbody>
	</table>
	
	  </div></div></div> 
	<!-- frame end -->    
	
	<!-- footer -->
		<xsl:call-template name="Footer"></xsl:call-template>
	<!-- footer end -->
	
	</div></div>
	<!-- page end -->
	
	</div>
	
	<script type="text/javascript">
	//<![CDATA[
	
	dynStyleSet(['tbodyFrame', 'thHighlight', 'tatdHighlight']);
	
	//]]>
	</script>
	
	</form>
	</body>
	</html>
   </xsl:template>
</xsl:stylesheet>
