<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="xpil" xmlns:prop="java.util.Properties" xmlns:xpil="http://www.together.at/2006/XPIL1.0" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0" version="1.0">
   <xsl:output method="html"/>
   <xsl:param name="auth_type" select="FORM" />
   <xsl:param name="username" select="u"/>
   <xsl:param name="from_element" select="11"/>
   <xsl:param name="to_element" select="20"/>
   <xsl:param name="sortCriterion" select="20"/>
   <xsl:param name="sortAsc" select="true"/>
   <xsl:param name="iconsDir" select="dir"/>
   <xsl:param name="accessionMap" select="e" />
   <xsl:param name="total_number" select="200"/>
   <xsl:param name="sharkEdition" select="e" />
   <xsl:param name="guid" select="e" />
   <xsl:param name="protocol" select="e" />
   <xsl:param name="host" select="e" />
   <xsl:param name="port" select="e" />
   <xsl:param name="enableComments" select="e" />
   <xsl:param name="categories" select="e" />
   <xsl:param name="choosen_category" select="e" />
   <xsl:param name="selected_user" select="e" />
   <xsl:param name="navig_url" select="WorklistHandlerPO.po"/>

   <xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform" href="navigation.xsl"/>
   <xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		href="properties.xsl"/>
   <xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		href="menu.xsl"/>
   <xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		href="footer.xsl"/>
   <xsl:include xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		href="selectbox.xsl"/>		
   <xsl:template match="xpil:ExtendedWorkflowFacilityInstance">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta http-equiv="content-type" content="text/html; charset='UTF-8'"/>
<title>Worklist</title>
<link href="styles/style.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv"/>

<!--[if lte IE 6]>
<link href="styles/style_iel.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 7]>
<link href="styles/style_ie.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<!--[if gte IE 8]>
<link href="styles/style_ien.css" rel="stylesheet" type="text/css" media="screen,projection,tv">
<![endif]-->
<script type="text/javascript" src="js/jslib.js"></script>
<script type="text/javascript" src="js/dynstyles.js"></script>
<script type="text/javascript" src="js/combobox.js"></script>

<script type="text/javascript" xmlns:prop="java.util.Properties" xmlns:xml="http://www.w3.org/XML/1998/namespace" xmlns:xpdl="http://www.wfmc.org/2002/XPDL1.0">

function submitForm(formId, actionAttr) {
  var formTag = document.getElementById(formId);
  formTag.action=actionAttr;
  formTag.submit();
}

function submitFormEvent(formId, actionAttr,event) {
  var formTag = document.getElementById(formId);
  formTag.action=actionAttr;
  formTag.event.value=event;
  formTag.submit();
}

function submitFormWithEvent(formId, actionAttr,proId,actId,event,accepted) {
  var formTag = document.getElementById(formId);
  formTag.action=actionAttr;
  formTag.pro_id.value=proId;
  formTag.act_id.value=actId;
  formTag.accepted.value=accepted;
  formTag.event.value=event;
  formTag.submit();
}

function openNewDialogWindow(pageName,windowName,parameters) {
  window.open(pageName,windowName,parameters); 
}

function submitContentFormWithAction(formId,actionAttr,event, txt) {
  if(confirm(txt)) {
    alreadySubmited = true;
    if(window.event != null)
    window.event.returnValue = false;
    var formTag = document.getElementById(formId);
    formTag.action=actionAttr;
    formTag.event.value=event;
    formTag.submit();
  }
}

// user list
var userlist= new Array();

// process list
var prlist = new Array();

//category list
var  catlist = new Array();

function initializeComboboxes() {
	<xsl:for-each select="xpil:User">
       <xsl:variable name="opt">
          <xsl:value-of select="@Id"/>
       </xsl:variable>
       <xsl:choose>
        <xsl:when test="$opt=$selected_user">
          userlist.push('<xsl:value-of select="@Id"/>');
        </xsl:when>
        <xsl:otherwise>
          userlist.push('<xsl:value-of select="@Id"/>');
        </xsl:otherwise>
       </xsl:choose>
    </xsl:for-each>
    userlist.push('');
    <xsl:for-each select="xpil:WorkflowProcessFactoryInstance">
        <xsl:variable name="opt">
           <xsl:value-of select="@Id"/>
        </xsl:variable>
           prlist.push('<xsl:value-of select="xpdl:WorkflowProcess/@Name"/>');
     </xsl:for-each>
    
 }
		
function showComboBox(combob) {
	document.getElementById(combob).style.display='block';
}

function createProcess() {
	if (document.getElementById('selected_pr').value=='Create new process instance') {
		alert('Please select process from the list!');
	}else {
		submitFormEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select='$from_element'/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>','create');
	}
}

function switchUser() {
	if (document.getElementById('selected_user_txt').value=='Switch user' || document.getElementById('selected_user_txt').value=='') {
		alert('Please select user from the list!');
	}else {
		submitFormEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select='$from_element'/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>','switch');
	}
}

function switchCategory() {
	if (document.getElementById('category_txt').value=='Switch Category' || document.getElementById('category_txt').value=='') {
		alert('Please select category from the list!');
	}else {
		submitFormEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select='$from_element'/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>','view');
	}
}

function showComboForAction() {
	if (getURLParam('action')=='view') {
		document.getElementById('catform').style.display='block';
		document.getElementById('category_txt').value='<xsl:value-of select="$choosen_category"/>';
	}else if (getURLParam('action')=='create') {
		document.getElementById('prselform').style.display='block';
		document.getElementById('selected_pr').value='Create new process instance';
	}else if (getURLParam('action')=='switch') {
		document.getElementById('userselform').style.display='block';
		document.getElementById('selected_user_txt').value='<xsl:value-of select="$selected_user"/>';
	}
}
		
</script>
</head>
<body onload="initializeComboboxes(); initcombob(comboElms([['selected_user_txt','Switch user',userlist], ['category_txt','Switch category',catlist], ['selected_pr','Create new process instance',prlist]])); ">
<form id="mainForm" name="mainForm" method="post" action="Blank.xhtml">
            <input type="hidden" name="pro_id"/>
            <input type="hidden" name="act_id"/>
            <input type="hidden" name="event"/>
            <input type="hidden" name="accepted"/>
            
<div id="w0">

<!-- page -->
<div id="pw0"><div id="pw">

<!-- header -->
<div id="ph"><div id="phw">

<xsl:variable name="rUrl">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select='$from_element'/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','refresh')</xsl:variable>
<xsl:variable name="outlookLink">stssync://sts/?ver=1.1&amp;type=tasks&amp;cmd=add-folder&amp;base-url=<xsl:value-of select='$protocol'/>://<xsl:value-of select='$host'/>:<xsl:value-of select='$port'/>/sharkWebClient&amp;list-url=/?&amp;guid=%7b<xsl:value-of select="$guid"/>%7d&amp;site-name=SharkWebClient&amp;list-name=<xsl:value-of select="$username"/> - <xsl:value-of select="$choosen_category"/></xsl:variable>


<!-- header menu -->
	<xsl:call-template name="Menu">
		<xsl:with-param name="prop_repository" select="prop:getProperty('repository','true')" />
		<xsl:with-param name="prop_packagelist" select="prop:getProperty('packagelist','true')" />
		<xsl:with-param name="prop_processinst" select="prop:getProperty('processinst','true')" />
		<xsl:with-param name="prop_processmonitor" select="prop:getProperty('processmonitor','true')" />
		<xsl:with-param name="prop_usermanag" select="prop:getProperty('usermanag','true')" />
		<xsl:with-param name="prop_worklist" select="prop:getProperty('worklist','false')" />
		<xsl:with-param name="prop_processlist" select="prop:getProperty('processlist','true')" />
		<xsl:with-param name="prop_cache" select="prop:getProperty('cache','true')" />
		<xsl:with-param name="prop_application" select="prop:getProperty('application','true')" />
		<xsl:with-param name="prop_participant" select="prop:getProperty('participant','true')" />
		<xsl:with-param name="prop_groupmanag" select="prop:getProperty('groupmanag','true')" />
	</xsl:call-template>
<!-- header menu end -->	
                    
<!-- toolbar -->
<div id="cnthdr">
	<div id="cnthdrw0">
		<div id="cnthdrw">
			<div class="h01">
				<h1>Work List</h1>
				<span class="tmdata">
					<xsl:value-of select="$total_number"/> entries
				</span>
				<br/><br/>
				<div class="text" style="margin-top:-12px">
				<xsl:if test="$username!=$selected_user"> for user : <xsl:value-of select="$selected_user"/></xsl:if> 
				<b> Category : </b><xsl:value-of select="$choosen_category"/>
				</div>
			</div>
			<div align="left">
				<span align="left">
					<xsl:call-template name="Navigation"/>
				</span>
			</div>
			<div class="cnttbw">
				<div class="toolbar">
					<div class="toolbarw0">
						<div class="toolbarw">
							<div class="shwhdset">
								<div id="userselshwhd" class="shwhd"><span class="shwhdcuser"><a href="javascript: void 0" onclick="javascript: shwhdTbarElm2('userselform', 'prselform', 'catform', 'userselshwhd', 'prselshwhd', 'catshwhd', 'Switch user', 'Create new process instance', 'Switch Category')" title="Show: Switch user"></a></span></div>
								<div id="userselform" class="toolfset">
									<div class="comboinw">
										<input type="text" name="selected_user_txt" id="selected_user_txt" value="Switch user" class="inputcomb01" onclick="comboInputEnable(this)" onKeyUp="combob(event, this);" onblur="comboCheck(this);" readonly="true"/>
										<a name="userselecta" class="combarrow" href="javascript: void 0" onclick="comboToggle(this);"></a>
										<div class="btnw01">
											<xsl:variable name="swUrl">javascript: switchUser()</xsl:variable>
											<a class="btns" href="{$swUrl}" title="Switch user" onclick=""><span class="swuser"></span></a>
										</div>
									</div>
									<div class="selectelw" id="userselectw">
										<select name="selected_user" id="selected_user" size="10" class="combosel01" autocomplete="off" onchange="comboListClick(this);" onkeyup="comboListSl(event, this);" style="width:100%">
		                                 	<xsl:for-each select="xpil:User">
	                                          <xsl:variable name="opt">
	                                             <xsl:value-of select="@Id"/>
	                                          </xsl:variable>
	                                          <xsl:choose>
	                                           <xsl:when test="$opt=$selected_user">
	                                            <option selected="true" value="{$opt}">
	                                             <xsl:value-of select="@Id"/>
	                                            </option>
	                                           </xsl:when>
	                                           <xsl:otherwise>
	                                           <option value="{$opt}">
	                                             <xsl:value-of select="@Id"/>
	                                          </option>
	                                           </xsl:otherwise>
	                                          </xsl:choose>
                                       		</xsl:for-each>
           								</select>
									</div>
								</div>
								<div id="catshwhd" class="shwhd"><span class="shwhdcat"><a href="javascript: void 0" onclick="javascript: shwhdTbarElm2('catform', 'userselform', 'prselform', 'catshwhd', 'userselshwhd', 'prselshwhd', 'Switch Category', 'Switch user', 'Create new process instance')" title="Show: Switch Category"></a></span></div>
								<div id="catform" class="toolfset" style="display:none;">
									<div class="comboinw">
										<input type="text" name="category_txt" id="category_txt" value="Switch Category" class="inputcomb01" onclick="comboInputEnable(this)" onKeyUp="combob(event, this);" onblur="comboCheck(this);" readonly="true"/>
										<a name="catselecta" class="combarrow" href="javascript: void 0" onclick="showComboBox('category');"></a>
										<div class="btnw01">
											<xsl:variable name="tUrl">javascript: switchCategory()</xsl:variable>
											<a class="btns" href="{$tUrl}" title="Switch Category" onclick=""><span class="catswc"></span></a>
										</div>
									</div>
									<div class="selectelw" id="prselectw">
										<select name="category" id="category" size="10" class="combosel01" autocomplete="off" onchange="comboListClick(this);" onkeyup="comboListSl(event, this);" style="width:100%">
			                                	<option  value="all"> * </option>
	                                       		<xsl:call-template name="Option">
		                                       		<xsl:with-param name="string" select="$categories" />
							                    	<xsl:with-param name="delimiter" select="','" />
	                                       		</xsl:call-template>
										</select>
									</div>
								</div>

								<div id="prselshwhd" class="shwhd"><span class="shwhdcpr"><a href="javascript: void 0" onclick="javascript: shwhdTbarElm2('prselform', 'userselform', 'catform', 'prselshwhd', 'userselshwhd', 'catshwhd', 'Create new process instance', 'Switch user', 'Switch category')" title="Show: Create new process instance"></a></span></div>
								<div id="prselform" class="toolfset">
									<div class="comboinw">
										<input type="text" name="selected_pr" id="selected_pr" value="Create new process instance" class="inputcomb01" onclick="comboInputEnable(this)" onKeyUp="combob(event, this);" onblur="comboCheck(this);" />
										<a name="prselecta" class="combarrow" href="javascript: void 0" onclick="showComboBox('process_manager');"></a>
										<div class="btnw01">
											<xsl:variable name="tUrl">javascript: createProcess()</xsl:variable>
											<a class="btns" href="{$tUrl}" title="Create New Process Instance" onclick=""><span class="prcreate"></span></a>
										</div>
									</div>
									<div class="selectelw" id="prselectw">
										<select name="process_manager" id="process_manager" size="10" class="combosel01" autocomplete="off" onchange="comboListClick(this);" onkeyup="comboListSl(event, this);" style="width:100%">
	                                       	<xsl:for-each select="xpil:WorkflowProcessFactoryInstance">
	                                          <xsl:variable name="opt">
	                                             <xsl:value-of select="@Id"/>
	                                          </xsl:variable>
	                                          <option value="{$opt}">
	                                             <xsl:value-of select="xpdl:WorkflowProcess/@Name"/>
	                                          </option>
                                       		</xsl:for-each>
										</select>
									</div>
								</div>
							</div>

							<ul class="toollset toollsetsa">
								<li><a class="refresh" href="{$rUrl}" title="Refresh"><span></span></a></li>
							</ul>
							<xsl:if test="$sharkEdition!='community' and ($auth_type='NTLM' or $auth_type='BASIC')">
								<ul class="toollset toollsetsa">
									<li><a class="outlook" href="{$outlookLink}" title="Link To Outlook"><span></span></a></li>
								</ul>
							</xsl:if>
						</div>
					</div>
				</div>
			</div>	
		</div>
	</div>
</div>
<!-- toolbar end -->
</div></div>
<!-- header end-->
<script>showComboForAction();</script>
<!-- frame -->
<div id="cntframew"><div id="cntframe"  style="margin-top=10px"><div id="cnt01" >
   
<table class="table01" id="prlistdata" cellspacing="0">
<thead id="table01head">
    <tr>
    	<xsl:choose>
      	<xsl:when test="$sortCriterion='accepted'">
      		<xsl:choose>
      			<xsl:when test="$sortAsc='true'">
	      			<th class="sortasc">
                               <xsl:variable name="url">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=accepted&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
         			      			<a href="{$url}">&#160;</a>
		      		</th>	
		      	</xsl:when>
		      	<xsl:otherwise>
	      			<th class="sortdesc">
                               <xsl:variable name="url">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=accepted&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
         			      			<a href="{$url}">&#160;</a>
		      		</th>	
		      	</xsl:otherwise>
		    </xsl:choose>	
		</xsl:when>
		<xsl:otherwise>
		<th class="sortable">
        	<xsl:variable name="url">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=accepted&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
         	<a href="{$url}">&#160;</a>
      	</th>	
		</xsl:otherwise>
		</xsl:choose>    
	  <th>
      Process
      </th>
      <th>
      Activity
      </th>
      <th>
      Priority
      </th>
      <th>
      Desctiption
      </th>
      <xsl:choose>
	      	<xsl:when test="$sortCriterion='createdtime'">
	      		<xsl:choose>
	      			<xsl:when test="$sortAsc='true'">
		      			<th class="sortasc">
                					<xsl:variable name="url">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=createdtime&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
           			      			<a href="{$url}">Created</a>
			      		</th>	
			      	</xsl:when>
			      	<xsl:otherwise>
		      			<th class="sortdesc">
                					<xsl:variable name="url">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=createdtime&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
           			      			<a href="{$url}">Created</a>
			      		</th>	
			      	</xsl:otherwise>
			    </xsl:choose>	
			</xsl:when>
			<xsl:otherwise>
				<th class="sortable">
               				<xsl:variable name="url">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=createdtime&#38;sortAsc=<xsl:value-of select="not($sortAsc='true')"/>','sort')</xsl:variable>
           		   			<a href="{$url}">Created</a>
	      		</th>	
			</xsl:otherwise>
		</xsl:choose>    
    </tr>
</thead>

<tbody class="table01body">
<xsl:variable name="Attr1" select="//."/>
<xsl:for-each select="$Attr1[name()='xpil:MainWorkflowProcessInstance' or name()='xpil:SubWorkflowProcessInstance']">
	<xsl:variable name="oddEven">
		<xsl:choose>
			<xsl:when test="(position() mod 2) = 0">odd</xsl:when>
			<xsl:otherwise>even</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<tr class="{$oddEven}">			
	   		<xsl:variable name="proid">
	        	<xsl:value-of select="@Id"/>
	        </xsl:variable>
	       	<xsl:variable name="actId">
	        	<xsl:value-of select="xpil:ActivityInstances/xpil:ManualActivityInstance/@Id"/>
	       	</xsl:variable>
	       	<xsl:variable name="priority">
	        	<xsl:apply-templates select="xpil:Priority"/>
	       	</xsl:variable>
            	<xsl:for-each select="xpil:ActivityInstances/xpil:ManualActivityInstance">

                 <xsl:variable name="accepted">
                    <xsl:value-of select="xpil:AssignmentInstances/xpil:AssignmentInstance/@IsAccepted"/>
                 </xsl:variable>
                  <xsl:variable name="icon">
                    <xsl:value-of select="xpdl:Activity/xpdl:Icon"/>
                 </xsl:variable>
                  <xsl:variable name="iconpath">
                    <xsl:value-of select="concat($iconsDir,$icon)"/>
                 </xsl:variable>
                 
                 <xsl:variable name="url1">javascript:submitFormWithEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>','<xsl:value-of select="../../@Id"/>','<xsl:value-of select="@Id"/>','accepted','<xsl:value-of select="xpil:AssignmentInstances/xpil:AssignmentInstance/@IsAccepted"/>')</xsl:variable>
  					<td style="width:6%;">
                      	<xsl:if test="$username=$selected_user">
                            <xsl:choose>
                               <xsl:when test="$accepted='true'">
                                  <input name="{$actId}" type="checkbox" checked="{$accepted}" onclick="{$url1}"/>
                               </xsl:when>
                               <xsl:otherwise>
                                  <input name="{$actId}" type="checkbox" onclick="{$url1}"/>
                               </xsl:otherwise>
                            </xsl:choose>
                            </xsl:if>
                             <xsl:if test="$username!=$selected_user">
                            <xsl:choose>
                               <xsl:when test="$accepted='true'">
                                  <input name="{$actId}" type="checkbox" checked="{$accepted}" disabled="true"/>
                               </xsl:when>
                               <xsl:otherwise>
                                  <input name="{$actId}" type="checkbox" disabled="true"/>
                               </xsl:otherwise>
                            </xsl:choose>
                      	</xsl:if>
                    </td>  
                   <td class="actcoltd" style="border-width: 0 1px 1px 0;">
						<div class="cntm">
							<div class="cntmw">
							    <ul class="cntmlist">
					             	<xsl:variable name="url">javascript:submitForm('mainForm','ActivityHandlerPO.po?pro_id=<xsl:value-of select="../../@Id"/>&#38;act_id=<xsl:value-of select="@Id"/>&#38;from=<xsl:value-of select='$from_element'/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>','')</xsl:variable>
					             	<xsl:variable name="url2">javascript:submitFormWithEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>','<xsl:value-of select="../../@Id"/>','<xsl:value-of select="@Id"/>','complete','none')</xsl:variable>
					             	<xsl:variable name="urlreass">javascript:submitFormEvent('mainForm','WorklistHandlerPO.po?from=<xsl:value-of select="$from_element"/>&#38;sortCriterion=<xsl:value-of select="$sortCriterion"/>&#38;sortAsc=<xsl:value-of select="$sortAsc"/>&#38;pro_id=<xsl:value-of select="../../@Id"/>&#38;act_id=<xsl:value-of select="@Id"/>&#38;selected_user=<xsl:value-of select="$selected_user"/>','reassign')</xsl:variable>
									<xsl:variable name="allCommentsUrl">javascript:openNewDialogWindow('AllCommentsHandlerPO.po?pro_id=<xsl:value-of select="../../@Id"/>&#38;act_id=<xsl:value-of select="@Id"/>','dialog','resizable=no,scrollbars=yes')</xsl:variable>
									<xsl:variable name="showGraphUrl">javascript:openNewDialogWindow('prof/ShowActivityExecutionGraphPO.po?pro_id=<xsl:value-of select="../../@Id"/>&#38;act_id=<xsl:value-of select="@Id"/>','dialog1','width=500,height=300,resizable=yes,scrollbars=yes,left=300,top=200')</xsl:variable>
			                   		<xsl:if test="$username=$selected_user">
			                		<xsl:choose>
			                   			<xsl:when test="$accepted='true'">
			                         		<li><a class="edit" href="{$url}"><span>Update variable</span></a></li>
							        		<li><a class="completeactivity" href="{$url2}"><span>Complete activity</span></a></li>
							      		</xsl:when>
							      	</xsl:choose>
							      	</xsl:if>
									<xsl:if test="$sharkEdition!='community'">
			               				<li><a class="edit" href="{$urlreass}"><span>Reassign task</span></a></li>
			               				<li><a class="prgraph" href="{$showGraphUrl}"><span>Activity execution graph</span></a></li>
										<xsl:if test="$enableComments='true'">
											<li><a class="info" href="{$allCommentsUrl}"><span>Comments</span></a></li>
										</xsl:if>
							      	</xsl:if>
							    </ul>
							</div>
						</div>
						<a href="javascript: void(0)"><xsl:value-of select="../../@Name"/></a>
                    </td>
                     <td align="center">
                        <xsl:value-of select="@Name"/>
                     </td>
                     <td align="center">
                        <xsl:value-of select="xpil:InstancePriority"/>
                     </td>
                     <td align="center">
                        <xsl:choose>
                           <xsl:when test="xpil:InstanceDescription!=''">
                              <xsl:value-of select="xpil:InstanceDescription"/>
                           </xsl:when>
                           <xsl:otherwise>
                            -
                          </xsl:otherwise>
                        </xsl:choose>
                     </td>
                     <td align="center">
                        <xsl:value-of select="concat(substring(@Created,0,11),' ',substring(@Created,12,5))"/>
                     </td>
               </xsl:for-each>
	</tr>
</xsl:for-each>
</tbody>
</table>

</div></div></div>
<!-- frame end -->    

<!-- footer -->
	<xsl:call-template name="Footer"></xsl:call-template>
<!-- footer end -->

</div></div>
<!-- page end -->

</div>

<script type="text/javascript">
//<![CDATA[

dynStyleSet(['tbodyFrame', 'thHighlight', 'tatdHighlight', 'comboElm']);

//]]>
</script>

</form>
</body>
</html>
</xsl:template>
</xsl:stylesheet>